groovy.transform.options

## Enum Visibility

- java.lang.Object
- - java.lang.Enum<Visibility>
  - - groovy.transform.options.Visibility

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Visibility>

      public enum Visibility
      extends java.lang.Enum<Visibility>

  Indicates the visibility of a node.
  Since:
    2.5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PACKAGE_PRIVATE`
    `PRIVATE`
    `PROTECTED`
    `PUBLIC`
    `UNDEFINED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getModifier()`
    `static Visibility` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Visibility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PUBLIC

          public static final Visibility PUBLIC

    - #### PROTECTED

          public static final Visibility PROTECTED

    - #### PACKAGE_PRIVATE

          public static final Visibility PACKAGE_PRIVATE

    - #### PRIVATE

          public static final Visibility PRIVATE

    - #### UNDEFINED

          public static final Visibility UNDEFINED

  - ### Method Detail

    - #### values

          public static Visibility[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Visibility c : Visibility.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Visibility valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getModifier

          public int getModifier()